Saltar al contenido

Get a moderation action

Módulo Gateway

GET/moderation-actions/{id}moderationActions.get

A moderation decision with a statement of reasons sent to the affected party. Returns one moderation action with its `ETag`. A moderation action the caller may not see returns 404.

  • Requiere la capacidad opportunities.marketplace.manage.
  • Alcances de OAuth: opportunities.
  • Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

moderationActions.get: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the moderation action.
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Respuesta 200: ModerationAction

moderationActions.get: ModerationAction
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the moderation action.
created_atstring (date-time)SíWhen the row was created.
updated_atstring (date-time)SíWhen the row was last updated.
listing_report_idstring (uuid) | nullSíIdentifier of the listing report.
action"Removed" | "Restricted" | "Restored" | "No Action"SíDecision taken.
statement_of_reasonsstringSíStatement of reasons.Restricciones: length 1 to 20000
opportunity_idstring (uuid)SíIdentifier of the opportunity decided on.
decided_atstring (date-time)SíWhen the decision was made.
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "updated_at": "2026-10-08T14:30:00Z",
  "listing_report_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "action": "Removed",
  "statement_of_reasons": "The listing requested a fee from applicants.",
  "opportunity_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "decided_at": "2026-10-08T14:30:00Z"
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/moderation-actions/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.moderationActions.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.moderation_actions.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos moderation-actions get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f